DO $$
	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=2900) THEN
			RETURN;
	END IF;

	BEGIN

		ALTER TABLE public."EmailFolders" ADD "UidValidity" bigint DEFAULT 0 NOT NULL;
		ALTER TABLE public."EmailFolders" ADD "UidNext" bigint DEFAULT 0 NOT NULL;

		EXCEPTION
			WHEN OTHERS THEN RAISE NOTICE 'Add columns to table EmailFolders error.';
		END;
	END;
$$